# $Revision: 1.5.2.2 $, $Date: 2003/04/10 21:07:13 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tie
%define		pnam	Scalar-Timeout
Summary:	Tie::Scalar::Timeout - scalar variables that time out
Summary(pl):	Tie::Scalar::Timeout - zmienne skalarne ulegajce przedawnieniu
Name:		perl-Tie-Scalar-Timeout
Version:	1.3.2
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows you to tie a scalar variable whose value will be
reset (subject to an expiry policy) after a certain time and/or a
certain number of uses. One possible application for this module might
be to time out session variables in mod_perl programs.

%description -l pl
Ten modu pozwala wizanie zmiennej skalarnej, ktrej warto bdzie
przywrcona (zgodnie z polis przedawnienia) po danym czasie i/lub
liczbie odwoa. Jednym z zastosowa tego moduu moe by
przedawnianie zmiennych sesji w programach mod_perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_sitelib}/Tie/Scalar
%{perl_sitelib}/Tie/Scalar/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Tie-Scalar-Timeout.spec,v $
Revision 1.5.2.2  2003/04/10 21:07:13  ankry
- updated to 1.3.2
- cosmetics

Revision 1.5.2.1  2003/03/13 00:59:10  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:39:00  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/16 08:33:50  ankry
- added missing dir
- release 3

Revision 1.2  2002/09/10 21:28:13  qboosh
- pl description, release 2

Revision 1.1  2002/09/08 15:51:10  radek
- new, STBR
